# BEGIN SourceDeps(oneline):
BuildRequires: perl(Bot/BasicBot/Pluggable/Module/Base.pm) perl(ExtUtils/MakeMaker.pm) perl(Net/Spotify.pm) perl(Test/More.pm) perl(XML/TreePP.pm) perl(base.pm)
# END SourceDeps(oneline)
%define module_version 0.01
%define module_name Bot-BasicBot-Pluggable-Module-Spotify
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: Show relevant information when a Spotify URI is detected in a channel
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/E/ED/EDOARDO/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
Simply load this plugin in your `Bot::BasicBot::Pluggable'-based IRC bot..When someone writes a Spotify URI in an IRC channel, the plugin does a lookup
for that URI and shows back the relevant information.

Example:

    <user1> check out this song, man! spotify:track:7sOBuRK26Ov7CR5fRSR7Om
    <bot> spotify:track:7sOBuRK26Ov7CR5fRSR7Om -> Track: Surf Rider - LP Version, \
    Album: Surf Rider!, Artist: The Lively Ones
    <user2> i know that one, me <3


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README examples
%perl_vendor_privlib/B*

%changelog
* Mon Oct 07 2013 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

